Loading...
Searching...
No Matches
blackoilbioeffectsmodules.hh File Reference

Contains the classes required to extend the black-oil model by bioeffects. More...

`#include <dune/common/fvector.hh>`
`#include <opm/models/blackoil/blackoilbioeffectsparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/io/vtkblackoilbioeffectsmodule.hpp>`
`#include <cmath>`
`#include <memory>`
`#include <numeric>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilBioeffectsModule< TypeTag, enableBioeffectsV >
| Contains the high level supplements required to extend the black oil model by bioeffects. More...
class | Opm::BlackOilBioeffectsIntensiveQuantities< TypeTag, enableBioeffectsV >
| Provides the volumetric quantities required for the equations needed by the bioeffects extension of the black-oil model. More...
class | Opm::BlackOilBioeffectsIntensiveQuantities< TypeTag, false >
class | Opm::BlackOilBioeffectsExtensiveQuantities< TypeTag, enableBioeffectsV >
| Provides the bioeffects specific extensive quantities to the generic black-oil module's extensive quantities. More...
class | Opm::BlackOilBioeffectsExtensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enableBioeffectsV>
BlackOilBioeffectsParams< typename BlackOilBioeffectsModule< TypeTag, enableBioeffectsV >::Scalar > | Opm::BlackOilBioeffectsModule< TypeTag, enableBioeffectsV >::params_

## Detailed Description

Contains the classes required to extend the black-oil model by bioeffects.